# Provides a filtered list of signedContracts

Endpoint: POST /api/SignedContract/List
Version: v1

## Header parameters:

  - `apiKey` (string, required)

## Request body:

  - `application/json` (unknown)
    The parameters to filter by

## Request fields (application/json):

  - `contractGroupGuid` (string)

  - `externalID` (string)
    Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6

  - `userIdentifier` (string)

  - `dateFrom` (string)
    Example: 2020/04/01

  - `dateTo` (string)
    Example: 2030/04/01

  - `platform` (string)

  - `enviroment` (integer)
    Enum: "0", "1"

  - `version` (string)

  - `getScreenshot` (boolean)

  - `page` (integer)
    Example: 0

  - `itemsPerPage` (integer)
    Example: 20

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `guid` (string)

  - `contract` (object)

  - `contract.version` (string)

  - `contract.enviroment` (integer)
    Enum: "0", "1"

  - `contract.groupGuid` (string)

  - `contract.nameOfContract` (string)

  - `fieldCollection` (string)

  - `contractGuid` (string)

  - `signedContractDate` (string)

  - `platform` (string)

  - `userIdentifier` (string)

  - `clauses` (array)

  - `clauses.tag` (string)
    The tag of the clause
    Example: my_tag

  - `clauses.accepted` (boolean)
    Specifies wether the clause was accepted
    Example: true

  - `blockchainProcessId` (string)

  - `blockchainTxHash` (string)

  - `contractHash` (string)

  - `blockchainStatus` (integer)
    Enum: "0", "1", "2", "3", "4", "5", "6", "7", "8"

  - `blockchainStatusDate` (string)

  - `externalID` (string)

  - `blockchainUuid` (string)

  - `pdf` (string)

  - `signedContractGroupGuid` (string)

  - `userIp` (string)

  - `screenshot` (string)

## Response 400:

  - `400` (unknown)
    Bad request: the request is not conforming to the specification provided

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized: either missing an apiKey header or an invalid apiKey was provided

## Response 403:

  - `403` (unknown)
    Forbidden: an apiKey header was found and validated but it is forbidden to perform the requested action

## Response 404:

  - `404` (unknown)
    Not found: a resource specified in the request was not found

## Response 500:

  - `500` (unknown)
    Internal server error: the server produced an unexpected error

